---
title: List
url: https://www.tines.com/docs/api/stories/drafts/list/
updated: 2026-01-22T16:03:38+00:00
description: Retrieve a list of drafts for a story.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Stories](https://www.tines.com/llm/docs/api/stories.md) › [Drafts](https://www.tines.com/llm/docs/api/stories/drafts.md)*

# List

*[View on tines.com](https://www.tines.com/docs/api/stories/drafts/list/)*

## Description

Retrieve a list of drafts for a story.

## Request

HTTP Method: **GET**

| Path Parameter | Description     |
| -------------- | --------------- |
| story_id       | ID of the story |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/stories/<<story_id>>/drafts \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON array describing drafts for that Tines story.

### Field description

| Parameter                                     | Description                                                                                                                                                    |
| --------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id                                            | The draft ID                                                                                                                                                   |
| name                                          | The draft name.                                                                                                                                                |
| user_id                                       | ID of story creator.                                                                                                                                           |
| description                                   | A user-defined description of the story.                                                                                                                       |
| keep_events_for                               | Defined event retention period in seconds.                                                                                                                     |
| disabled                                      | Boolean flag indicating whether story is disabled.                                                                                                             |
| priority                                      | Boolean flag indicating whether story is high priority story.                                                                                                  |
| send_to_story_enabled                         | Boolean flag indicating if Send to Story is enabled.                                                                                                           |
| send_to_story_access_source                   | `STS`, `STS_AND_WORKBENCH`, `WORKBENCH` or `OFF` indicating where the send to story can be used.                                                               |
| send_to_story_access                          | Controls who is allowed to send to this story (`TEAM`,`GLOBAL`,`SPECIFIC_TEAMS`).                                                                              |
| send_to_story_referring_story_ids             | List of story ids that call this Send to Story enabled story. Only present when `send_to_story_enabled` is `true`.                                             |
| shared_team_slugs                             | List of teams' slugs that can send to this story when `send_to_story_access` is `SPECIFIC_TEAMS`, otherwise empty.                                             |
| send_to_story_skill_use_requires_confirmation | Boolean flag indicating whether workbench should ask for confirmation before running this story.                                                               |
| entry_agent_id                                | The ID of the entry action for this story.                                                                                                                     |
| exit_agents                                   | An Array of objects describing exit actions for this story.                                                                                                    |
| team_id                                       | ID of team to which the story belongs.                                                                                                                         |
| tags                                          | An array of tags used to classify the story.                                                                                                                   |
| guid                                          | Unique identifier of the story.                                                                                                                                |
| slug                                          | An underscored representation of the story name. Will update if the draft updates the story name. Includes a draft-specific suffix.                            |
| created_at                                    | ISO 8601 Timestamp representing date and time the story was created.                                                                                           |
| updated_at                                    | ISO 8601 Timestamp representing date and time the story row was last updated. It is best to use edited_at to track any modifications made to the story itself. |
| edited_at                                     | ISO 8601 Timestamp representing date and time the story was last logically updated.                                                                            |
| mode                                          | Legacy field, always `TEST`.                                                                                                                                   |
| story_id                                      | The story ID.                                                                                                                                                  |
| folder_id                                     | ID of folder to which the story belongs.                                                                                                                       |
| published                                     | Boolean flag indicating whether the story is published.                                                                                                        |
| change_control_enabled                        | Boolean flag indicating if change control is enabled.                                                                                                          |
| locked                                        | Boolean flag indicating whether the story is locked to changes.                                                                                                |
| owners                                        | List of user IDs that are listed as owners on the story.                                                                                                       |

### Sample response

<!-- cspell:disable -->

```json
{
  "drafts": [
    {
      "name": "My draft",
      "id": 100,
      "user_id": 167,
      "description": "In the simple story we will create a fictional situation where a detection system is configured to send alerts to our Tines tenant",
      "keep_events_for": 604800,
      "disabled": false,
      "priority": false,
      "send_to_story_enabled": false,
      "send_to_story_access_source": "OFF",
      "send_to_story_access": null,
      "send_to_story_skill_use_requires_confirmation": true,
      "shared_team_slugs": [],
      "entry_agent_id": null,
      "exit_agents": [],
      "team_id": 1,
      "tags": ["Tag 1", "Tag 2"],
      "guid": "df1e838a18d20696120b41516497b017",
      "created_at": "2021-05-10T08:56:50Z",
      "updated_at": "2021-05-10T08:56:50Z",
      "edited_at": "2021-05-10T08:56:50Z",
      "mode": "TEST",
      "folder_id": 1,
      "published": true,
      "change_control_enabled": false,
      "locked": false,
      "owners": [1],
      "story_name": "My story",
      "story_id": 99,
      "slug": "my_story_test0"
    },
    {
      "name": "My other draft",
      "id": 101,
      "user_id": 167,
      "description": "In the simple story we will create a fictional situation where a detection system is configured to send alerts to our Tines tenant",
      "keep_events_for": 604800,
      "disabled": false,
      "priority": false,
      "send_to_story_enabled": false,
      "send_to_story_access_source": "OFF",
      "send_to_story_access": null,
      "send_to_story_skill_use_requires_confirmation": true,
      "shared_team_slugs": [],
      "entry_agent_id": null,
      "exit_agents": [],
      "team_id": 1,
      "tags": ["Tag 1", "Tag 2"],
      "guid": "df1e838a18d20696120b41516497b017",
      "created_at": "2021-05-10T08:56:50Z",
      "updated_at": "2021-05-10T08:56:50Z",
      "edited_at": "2021-05-10T08:56:50Z",
      "mode": "TEST",
      "folder_id": 1,
      "published": true,
      "change_control_enabled": false,
      "locked": false,
      "owners": [1],
      "story_name": "My story",
      "story_id": 99,
      "slug": "my_story_test1"
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/stories/99/drafts?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20, // Max: 500
    "pages": 1,
    "count": 2
  }
}
```
